summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-12-20 21:06:00 +0100
committerLars Wendler <polynomial-c@gentoo.org>2017-12-20 21:37:01 +0100
commit7f874695825ceb2ed3fffd2eb2adbb81f3b953fa (patch)
treeb5e99464774a24f84dd1dcb4d52e73ecdcf8eea6 /app-backup
parentmedia-libs/harfbuzz: Bump to version 1.7.4. Removed old. (diff)
downloadgentoo-7f874695825ceb2ed3fffd2eb2adbb81f3b953fa.tar.gz
gentoo-7f874695825ceb2ed3fffd2eb2adbb81f3b953fa.tar.bz2
gentoo-7f874695825ceb2ed3fffd2eb2adbb81f3b953fa.zip
app-backup/dar: Bump to version 2.5.14
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'app-backup')
-rw-r--r--app-backup/dar/Manifest1
-rw-r--r--app-backup/dar/dar-2.5.14.ebuild96
2 files changed, 97 insertions, 0 deletions
diff --git a/app-backup/dar/Manifest b/app-backup/dar/Manifest
index 53e30a9808f..6ab6f667c41 100644
--- a/app-backup/dar/Manifest
+++ b/app-backup/dar/Manifest
@@ -1,3 +1,4 @@
DIST dar-2.5.11.tar.gz 1891928 BLAKE2B 536cccca2533f7ddbc8b95972fe00e9c87a404481e6afbd7aa3634c00598403c18950eb876aefe71a818c3bf4df75bff5f3904dc69bd1d75880f6c8a349911a5 SHA512 36b90218a34ac7f41ce9ca0a2167cfb2fd243b23b8e84350153e8804f0faabf87291b4e4b061533bcb0ca079f087c074eeaa12a54ee8084dd386a072ac503847
DIST dar-2.5.12.tar.gz 1893694 BLAKE2B bbd364928377fc9c4b3c9cec47dd66abe2c02d7366f8373882664e263dbe29978d49ac73f3e4dbdb15d586d290807ef127c4142c8df22a04b6fc3aec11b13307 SHA512 58eafe69c730d8f3974a1b1e8f7ca67feee82babde9ba9577ef29c422861db2b29afa835c9b55160e5d226efb634b539a580845e429d08fd84beeb6f0d39be7e
DIST dar-2.5.13.tar.gz 1903994 BLAKE2B 9e58e2d86d38203364f23b506d957fb78b1b6d33df780a2711aab13913e50ce83726fed9301bcfe7975987bef6b3b8de45a30ad32c4e0b9a2d3b5db14e8a108e SHA512 759a54c07bee787a02f751db4ecb4036fa578224ba69779e784ea4edebf3d9feb3547414fe605c0f655bb4ac364575638ae35aab952df1f6610dd436bc70b444
+DIST dar-2.5.14.tar.gz 1904398 BLAKE2B 073423b338be6e6f31bb31f0fe29980670a62ab6e6f768b31d99c464763e6598adecfe2446ab08f7e6543dff74b9f4a978a56da309ce61168c1629d22e112c6a SHA512 035866bd891ff12adbcd18a78fa6f2475c232182b24e35aaf7c3c41c30e6298c4e655ea5a93b9be050c6dee332e2b7913f75e3d399cbee96a1f1d3101d33fbbc
diff --git a/app-backup/dar/dar-2.5.14.ebuild b/app-backup/dar/dar-2.5.14.ebuild
new file mode 100644
index 00000000000..bb527233dac
--- /dev/null
+++ b/app-backup/dar/dar-2.5.14.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit flag-o-matic
+
+DESCRIPTION="A full featured backup tool, aimed for disks"
+HOMEPAGE="http://dar.linux.free.fr/"
+SRC_URI="mirror://sourceforge/dar/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux"
+IUSE="dar32 dar64 doc gcrypt gpg lzo nls static static-libs xattr"
+
+RESTRICT="test" # need to be run as root
+
+RDEPEND=">=sys-libs/zlib-1.2.3:=
+ !static? (
+ app-arch/bzip2:=
+ app-arch/xz-utils:=
+ sys-libs/libcap
+ gcrypt? ( dev-libs/libgcrypt:0= )
+ gpg? ( app-crypt/gpgme )
+ lzo? ( dev-libs/lzo:= )
+ xattr? ( sys-apps/attr:= )
+ )"
+
+DEPEND="${RDEPEND}
+ static? (
+ app-arch/bzip2[static-libs]
+ app-arch/xz-utils[static-libs]
+ sys-libs/libcap[static-libs]
+ sys-libs/zlib[static-libs]
+ gcrypt? ( dev-libs/libgcrypt:0=[static-libs] )
+ gpg? (
+ app-crypt/gpgme[static-libs]
+ dev-libs/libassuan[static-libs]
+ dev-libs/libgpg-error[static-libs]
+ )
+ lzo? ( dev-libs/lzo[static-libs] )
+ xattr? ( sys-apps/attr[static-libs] )
+ )
+ nls? (
+ sys-devel/gettext
+ virtual/libintl
+ )
+ doc? ( app-doc/doxygen )"
+
+REQUIRED_USE="?? ( dar32 dar64 )
+ gpg? ( gcrypt )"
+
+#PATCHES=(
+#)
+
+src_configure() {
+ local myconf=( --disable-upx )
+
+ # Bug 103741
+ filter-flags -fomit-frame-pointer
+
+ # configure.ac is totally funked up regarding the AC_ARG_ENABLE
+ # logic.
+ # For example "--enable-dar-static" causes configure to DISABLE
+ # static builds of dar.
+ # Do _not_ use $(use_enable) until you have verified that the
+ # logic has been fixed by upstream.
+ use xattr || myconf+=( --disable-ea-support )
+ use dar32 && myconf+=( --enable-mode=32 )
+ use dar64 && myconf+=( --enable-mode=64 )
+ use doc || myconf+=( --disable-build-html )
+ # use examples && myconf+=( --enable-examples )
+ use gcrypt || myconf+=( --disable-libgcrypt-linking )
+ use gpg || myconf+=( --disable-gpgme-linking )
+ use lzo || myconf+=( --disable-liblzo2-linking )
+ use nls || myconf+=( --disable-nls )
+ if ! use static ; then
+ myconf+=( --disable-dar-static )
+ if ! use static-libs ; then
+ myconf+=( --disable-static )
+ fi
+ fi
+
+ econf ${myconf[@]}
+}
+
+src_install() {
+ emake DESTDIR="${D}" pkgdatadir="${EPREFIX}"/usr/share/doc/${PF}/html install
+
+ local DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
+ einstalldocs
+
+ if ! use static-libs ; then
+ prune_libtool_files --all
+ fi
+}